static void do_suspendsayisi(User *u) {
    NickInfo *ni;
    NickGroupInfo *ngi;
    char *nick, *sayi;

    nick = strtok(NULL, " ");
    sayi = strtok(NULL, " ");

    if (!sayi) {
                send_cmd(s_NickServ, "NOTICE %s :Kullanımı :SUSPENDSAYISI <nick> <sayı>", u->nick);
    } else if (!(ni = get_nickinfo(nick))) {
                notice_lang(s_NickServ, u, NICK_X_NOT_REGISTERED, nick);
    } else if (ni->status & NS_VERBOTEN) {
                notice_lang(s_NickServ, u, NICK_X_FORBIDDEN, nick);
    } else if (!(ngi = get_ngi(ni))) {
                notice_lang(s_NickServ, u, INTERNAL_ERROR);
    } else {
                ngi->suspendsayisi = atoi(sayi);
        send_cmd(s_NickServ, "NOTICE %s %s nickinin suspend sayısı %d olarak ayarlandı.", u->nick, nick, atoi(sayi));
                if (ngi->suspendsayisi > 0)
                        send_cmd(s_NickServ, "SWHOIS %s :Kullanici \2%d\2 kez ceza almıştır.", u->nick, ngi->suspendsayisi);
                else
                        send_cmd(s_NickServ, "SWHOIS %s :\2%s\2 ChatAskim.Net Kullanicisidir.", u->nick, u->nick);
        }
}


//sky
